Bug 968062 - No libvirtd log file
No libvirtd log file
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 19:00 EDT by Karen Noel
Modified: 2013-06-12 15:38 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-12 14:52:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karen Noel 2013-05-28 19:00:20 EDT
Description of problem:

Installed Fedora 19 beta from DVD. Tried to use virsh and got an error. Went to debug and found there is no libvirtd.log file.

# virsh iface-bridge enp0s25 br0 --no-stp
error: An error occurred, but the cause is unknown

# ls /var/log/libvirt
libxl  lxc  qemu  uml

I tried restarting libvirtd. 

I removed libvirt and reinstalled it. Nothing helps.

Version-Release number of selected component (if applicable):

libvirt-1.0.5.1-1.fc19.x86_64

How reproducible:

It only happened once. This didn't happen on my other F19 Beta system. But that was installed with fedup from F18. Not from the DVD.

I asked eblake for advice and confirmed this happened to him too.

I confirmed that libvirtd is running.

# systemctl status libvirtd.service
libvirtd.service - Virtualization daemon
   Loaded: loaded (/usr/lib/systemd/system/libvirtd.service; enabled)
   Active: active (running) since Tue 2013-05-28 18:55:13 EDT; 18s ago
 Main PID: 6058 (libvirtd)
   CGroup: name=systemd:/system/libvirtd.service
           ├─1173 /sbin/dnsmasq --conf-file=/var/lib/libvirt/dnsmasq/default.conf
           └─6058 /usr/sbin/libvirtd

May 28 18:55:13 dhcp-185-41.bos.redhat.com systemd[1]: Starting Virtualization daemon...
May 28 18:55:13 dhcp-185-41.bos.redhat.com systemd[1]: Started Virtualization daemon.
May 28 18:55:16 dhcp-185-41.bos.redhat.com dnsmasq[1173]: read /etc/hosts - 2 addresses
May 28 18:55:16 dhcp-185-41.bos.redhat.com dnsmasq[1173]: read /var/lib/libvirt/dnsmasq/default.addnhosts - 0 addresses
May 28 18:55:16 dhcp-185-41.bos.redhat.com dnsmasq-dhcp[1173]: read /var/lib/libvirt/dnsmasq/default.hostsfile


Steps to Reproduce:
1. Install Fedora 19
2. service libvirtd start
3. find /var -name libvirtd

Actual results:

No file found

[root@dhcp-185-41 /]# find /var -name libvirtd
[root@dhcp-185-41 /]# 


Expected results:

Able to debug by looking in libvirtd.log file.

Additional info:
Comment 1 Karen Noel 2013-05-28 21:37:00 EDT
> How reproducible:
> 
> It only happened once. This didn't happen on my other F19 Beta system. But
> that was installed with fedup from F18. Not from the DVD.
> 

This statement is incorrect. My other system has no libvirtd.log file either.

[root@virtlab213 ~]# rpm -q libvirt
libvirt-1.0.5-2.fc19.x86_64

[root@virtlab213 ~]# ls /var/log/libvirt
libxl  lxc  qemu  uml

[root@virtlab213 ~]# find / -name libvirtd*
/run/libvirtd.pid
/usr/lib/systemd/system/libvirtd.service
/usr/lib/sysctl.d/libvirtd.conf
/usr/sbin/libvirtd
/usr/share/doc/libvirt-daemon-1.0.5/libvirtd.upstart
/usr/share/augeas/lenses/libvirtd_lxc.aug
/usr/share/augeas/lenses/libvirtd.aug
/usr/share/augeas/lenses/libvirtd_qemu.aug
/usr/share/man/man8/libvirtd.8.gz
/etc/sysconfig/libvirtd
/etc/systemd/system/multi-user.target.wants/libvirtd.service
/etc/libvirt/libvirtd.conf
/etc/logrotate.d/libvirtd.lxc
/etc/logrotate.d/libvirtd
/etc/logrotate.d/libvirtd.uml
/etc/logrotate.d/libvirtd.qemu
/sys/fs/cgroup/cpu,cpuacct/system/libvirtd.service
/sys/fs/cgroup/systemd/system/libvirtd.service

[root@virtlab213 ~]# ls -lad /var
drwxr-xr-x. 18 root root 4096 May 28 12:51 /var
[root@virtlab213 ~]# ls -lad /var/log
drwxr-xr-x. 11 root root 4096 May 28 13:23 /var/log
[root@virtlab213 ~]# ls -lad /var/log/libvirt
drwx------ 6 root root 4096 May  3 14:04 /var/log/libvirt
[root@virtlab213 ~]# ls -lad /var/log/libvirt/*
drwx------ 2 root root 4096 May 28 13:23 /var/log/libvirt/libxl
drwx------ 2 root root 4096 May  3 14:04 /var/log/libvirt/lxc
drwx------ 2 root root 4096 May 28 14:09 /var/log/libvirt/qemu
drwx------ 2 root root 4096 May  3 14:04 /var/log/libvirt/uml
Comment 2 Eric Blake 2013-05-28 22:20:58 EDT
Is this just a case of systemd redirecting the log to somewhere else, instead of its traditional location?
Comment 3 Dave Allan 2013-05-29 09:06:09 EDT
On my rawhide system libvirt messages are ending up in /var/log/messages
Comment 4 Jiri Denemark 2013-05-29 09:32:40 EDT
AFAIK libvirtd logs just warnings and errors through syslog (and perhaps journald on systemd-based systems). Logging to /var/log/libvirtd.log needs to be configured manually if desired.
Comment 5 Cole Robinson 2013-06-12 14:52:38 EDT
(In reply to Jiri Denemark from comment #4)
> AFAIK libvirtd logs just warnings and errors through syslog (and perhaps
> journald on systemd-based systems). Logging to /var/log/libvirtd.log needs
> to be configured manually if desired.

That's my understanding as well, I didn't know there was supposed to be a /var/log/libvirtd.log

Closing as NOTABUG, someone reopen if I'm wrong.
Comment 6 Laine Stump 2013-06-12 15:38:28 EDT
At some time in the past this config change was apparently present in the libvirtd.conf distributed with Fedora, as I recall having systems where it worked that way, and *don't* remember messing with libvirtd.conf to make it happen. (I should go back and look at that F13 disk before I recycle it...)

At any rate, I have no problem with this being NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.